<template>
    <v-container>
        <v-layout row wrap>
            <v-form @submit.prevent="submitForm()">
                <v-text-field
                    label="Label"
                    v-model="promo.label"
                />
                <v-text-field
                    label="Specilization"
                    v-model="promo.specialization"
                />
                <v-btn fab color="primary" type="submit"><v-icon>add</v-icon></v-btn>
            </v-form>
        </v-layout>
    </v-container>
</template>

<script>
export default {
    data() {
        return {
            promo: {
                label: '',
                specialization: ''
            }
        }
    },
    methods: {
        submitForm() {
            this.$store.dispatch('addPromo', this.promo);
        }
    }
}
</script>

<style>

</style>
